package com.zehong.system.service;

import java.util.List;
import com.zehong.system.domain.TDetectorUser;
import com.github.pagehelper.PageInfo;

/**
 * 探测器用户Service接口
 * 
 * @author zehong
 * @date 2021-11-02
 */
public interface ITDetectorUserService 
{
    /**
     * 查询探测器用户
     * 
     * @param userId 探测器用户ID
     * @return 探测器用户
     */
    public TDetectorUser selectTDetectorUserById(Long userId);

    /**
     * 查询探测器用户列表
     * 
     * @param tDetectorUser 探测器用户
     * @return 探测器用户集合
     */
    public List<TDetectorUser> selectTDetectorUserList(TDetectorUser tDetectorUser);

    /**
     * 查询探测器用户分页列表
     *
     * @param tDetectorUser 探测器用户
     * @return 探测器用户分页集合
     */
    public PageInfo<TDetectorUser> selectTDetectorUserPage(TDetectorUser tDetectorUser);

    /**
     * 新增探测器用户
     * 
     * @param tDetectorUser 探测器用户
     * @return 结果
     */
    public int insertTDetectorUser(TDetectorUser tDetectorUser);

    /**
     * 修改探测器用户
     * 
     * @param tDetectorUser 探测器用户
     * @return 结果
     */
    public int updateTDetectorUser(TDetectorUser tDetectorUser);

    /**
     * 批量删除探测器用户
     * 
     * @param userIds 需要删除的探测器用户ID
     * @return 结果
     */
    public int deleteTDetectorUserByIds(Long[] userIds);

    /**
     * 删除探测器用户信息
     * 
     * @param userId 探测器用户ID
     * @return 结果
     */
    public int deleteTDetectorUserById(Long userId);
}
